
Infrastructure - Story #3434

Investigate Timeout Problems on Staging Hazelcast

2012-12-19 19:18 - Robert Waltz

Status: Closed Start date: 2012-12-19

Priority: Normal Due date: 2013-01-05

Assignee: Robert Waltz % Done: 100%

Category: Metacat Estimated time: 0.00 hour

Target version: Sprint-2012.50-Block.6.4   

Story Points:    

Description

We have noted on upgrade to 2.4.1 hazelcast an increase in the number of reported timeouts from HZ members to the master node

of the hz cluster (the oldest member of the cluster) on staging.

Determine what effects the exceptions may have based on timeout scenarios. 

Determine if any simple modifications might alleviate some of the timeouts.

Manipulation of two variables had no effect on the performance of Staging machines, and I was unable to simulate split brain on the

environment.  

I modified two variables and ran a single threaded script that would evict objects, get them and then put them.  I had all daemons

running while executing the script.

The first variable modified is hazelcast.max.no.heartbeat.seconds, Max timeout of heartbeat in seconds for a node to assume it is

dead, with a default setting of 300.  In the uploaded files, I modified the variable to be 60 seconds in the zip files containing the string

60SecTO.

The second variable modified is hazelcast.map.partition.count, Distributed map partition count, with a default setting of 271.  In the

uploaded files, the results of modifigyging the variable to be 2710 are found in files containing the strings Partions & 2710.

I first wanted to test if a lower heartbeat timeout setting would affect the number of timeouts. It did not.

I also wished to monitor the performance of increasing the partition count. I was curious if the amount of traffic over TCP would

decrease if the datastructures were split among more partitions.  I did not find any significant difference with the exception that

increasing partition size increases migration time.

Subtasks:

Task # 3435: Examine the Locking exception thrown during call to updateReplicationMetad... Closed

Task # 3436: Examine the effects of modifying partition count variable on Sandbox Closed

Task # 3437: Gather Baseline of HZ interactions for tests on Sandbox Closed

Task # 3439: Examine the effects of modifying heartbeat timeout  variable on Sandbox Closed

History

#1 - 2013-01-15 20:05 - Robert Waltz

- Description updated

#2 - 2013-01-15 20:10 - Robert Waltz

- File StageUnmBaseline.zip added

- File StageOrcBaseline.zip added

- File StageUnmPartitions2710.zip added

- File StageOrcPartitions2710.zip added

- File StageOrcBaseline60SecTO.zip added

- File StageUnmPartitions60SecTO2710.zip added

- File StageOrcPartitions60SecTO2710.zip added

- File StageUnmBaseline60SecTO.zip added
#3 - 2013-01-15 20:11 - Robert Waltz

- Status changed from New to Closed

Files

StageUnmBaseline.zip 105 KB 2013-01-15 Robert Waltz

StageOrcBaseline.zip 125 KB 2013-01-15 Robert Waltz

StageUnmPartitions2710.zip 50.3 KB 2013-01-15 Robert Waltz

StageOrcPartitions2710.zip 162 KB 2013-01-15 Robert Waltz

StageUnmBaseline60SecTO.zip 39.9 KB 2013-01-15 Robert Waltz

StageOrcBaseline60SecTO.zip 81.7 KB 2013-01-15 Robert Waltz

StageUnmPartitions60SecTO2710.zip 45.6 KB 2013-01-15 Robert Waltz

StageOrcPartitions60SecTO2710.zip 92.2 KB 2013-01-15 Robert Waltz
